<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui">

<h:head>
    <title>Spell Checker</title>
    <link rel="stylesheet" href="resources/css/styles.css"/>
</h:head>

<h:body>
    <h1>Spell Checker</h1>

    <br/>
    <br/>
    <h:form id="spellForm">

        <div class="p-col-12 p-md-4">
            <span class="ui-float-label">
                <p:inputTextarea id="spellTextArea" widgetVar="spellTextAreaWidget"
                                 value="#{spellClient.inputTextToCheck}" rows="10" cols="100" autoResize="false">
                    <!-- Key input listener. Don't forget 'update' : https://www.primefaces.org/showcase/ui/ajax/listener.xhtml?jfwid=ad64c -->
                    <p:ajax delay="500" event="keyup" update="remarksTextArea" listener="#{spellClient.handleKeyEvent}"
                            oncomplete="highLight(args);"/>
                </p:inputTextarea>
                <p:outputLabel for="@previous" value="Type your text here"/>

                <p:inputTextarea id="remarksTextArea" value="#{spellClient.outputResultRemarkText}" rows="10"
                                 cols="90" autoResize="false" readonly="true"/>
            </span>
        </div>
    </h:form>

    <br/>
    <h:outputText id="spellTextAreaToHtml" value=""/>
</h:body>

<script src="resources/js/common.js"></script>
</html>